<?php
  ///////////////////////////////////////////////////
  //карпухин Павел
  //2007 (C)
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("lang/".$lang.".php")) {include "lang/".$lang.".php";}
     else {include "lang/ru.php";}

  $title=$TEXT['install-title'];
  $helppage = $TEXT['install-help'];

  require_once "utils/top_install.php";

  $title = $TEXT['install-title'];
  $button = $TEXT['btn-check'];
  $action = "install.php";

  if(extension_loaded('gd')) {$gd_ok = "<img src='img/active.png' />";}
   else {$gd_ok = "<img src='img/no_active.png' />";}

  if(extension_loaded('mysqli')) {$mysqli_ok = "<img src='img/active.png' />";}
   else {$mysqli_ok = "<img src='img/no_active.png' />";}

  if(extension_loaded('dom')) {$domxml_ok = "<img src='img/active.png' />";}
   else {$domxml_ok = "<img src='img/no_active.png' />";}

  if(function_exists('mail')) {$mail_ok = "<img src='img/active.png' />";}
   else {$mail_ok = "<img src='img/no_active.png' />";}

  if(extension_loaded('ldap')) {$ldap_ok = "<img src='img/active.png' />";}
   else {$ldap_ok = "<img src='img/no_active.png' />";}

  if(strlen($_POST['srv'])>50) {puterror($TEXT['error-install2']);}
  if(strlen($_POST['usr'])>50) {puterror($TEXT['error-install4']);}
  if(strlen($_POST['pswd'])>100) {puterror($TEXT['error-install5']);}
  if(empty($_POST['dbname'])) {$_POST['dbname'] = "personal";}
  if(empty($_POST['srv'])) {$_POST['srv'] = "localhost";}
  if(empty($_POST['usr'])) {$_POST['usr'] = "root";}
  if(strlen($_POST['dbname'])>50) {puterror($TEXT['error-update2']);}

  $_POST['srv'] = str_replace("'","`",$_POST['srv']);
  $_POST['usr'] = str_replace("'","`",$_POST['usr']);
  $_POST['dbname'] = str_replace("'","`",$_POST['dbname']);
  $_POST['srv'] = htmlspecialchars(stripslashes($_POST['srv']));
  $_POST['usr'] = htmlspecialchars(stripslashes($_POST['usr']));
  $_POST['dbname'] = htmlspecialchars(stripslashes($_POST['dbname']));

  $dblocation = $_POST['srv'];
  $dbport = "3306";
  $dbname = $_POST['dbname'];
  $dbuser = $_POST['usr'];
  $dbpasswd = $_POST['pswd'];
  $chk_dbase = "<img alt='no checking' src='img/wait.png' />";

  // Устанавливаем соединение с базой данных
  if(!empty($_POST['srv']) && !empty($_POST['usr']) && !empty($_POST['dbname']) && !empty($_POST['pswd']))
  {
  $dbcnx = mysqli_connect($dblocation,$dbuser,$dbpasswd);
  if(!$dbcnx)
   {
    echo $TEXT['error-conf1'];
    exit();
   }

  if(!mysqli_select_db($dbcnx,$dbname))
   {
    $chk_dbase = "<img alt='Ok' src='img/active.png' />";
    $button = $TEXT['btn_inst'];
    $action = "install_run.php";
   }
   else {$chk_dbase = "<img alt='DB exist' src='img/warn.png' />";}
  }
?>
<div class="horizoninst">
<form enctype="multipart/form-data" action="<?php echo $action; ?>" method="post">
<table class="tblwdth100" border="0">
 <tr>
  <td>
    <table class="tblwdth100" border="0">
     <tr><td class="zagolovok"><?php echo $TEXT['install-title']; ?></td></tr>
     <tr><td class="upd"><?php echo $TEXT['install-help']; ?></td></tr>
    </table>
    <br />
    <table class="tblwdth80" border="0">
     <tr><td class="add_field_op"><?php echo $TEXT['install-srv']; ?>:</td><td class="about"><input size="30" maxlength="50" type="text" name="srv" value="<?php echo $_POST['srv']; ?>" /></td></tr>
     <tr><td class="add_field_op"><?php echo $TEXT['install-db']; ?>:</td><td class="about"><input size="30" maxlength="50" type="text" name="dbname" value="<?php echo $_POST['dbname']; ?>" /></td></tr>
     <tr><td class="add_field_op"><?php echo $TEXT['install-usr']; ?>:</td><td class="about"><input size="30" maxlength="30" type="text" name="usr" value="<?php echo $_POST['usr']; ?>" /></td></tr>
     <tr><td class="add_field_op"><?php echo $TEXT['install-pswd']; ?>:</td><td class="about"><input size="30" maxlength="100" type="password" name="pswd" value="<?php echo $_POST['pswd']; ?>" /></td></tr>
     <tr><td class="add_field_op"></td><td><input class="button" type="submit" value="<?php echo $button; ?>" /></td></tr>
    </table>
    <table class="tblwdth50l" border="0">
     <tr><td>
      <fieldset>
      <legend title="<?php echo $TEXT['install-mod-tit']; ?>"><?php echo $TEXT['install-mod']; ?></legend>
       <table class="tblwdth100" border="0">
        <tr><td class="add_field_op"><?php echo $TEXT['install-mod-gd']; ?>:</td><td class="about"><?php echo $gd_ok; ?></td></tr>
        <tr><td class="add_field_op"><?php echo $TEXT['install-mod-domxml']; ?>:</td><td class="about"><?php echo $domxml_ok; ?></td></tr>
        <tr><td class="add_field_op"><?php echo $TEXT['install-mod-mail']; ?>:</td><td class="about"><?php echo $mail_ok; ?></td></tr>
        <tr><td class="add_field_op"><?php echo $TEXT['install-mod-mysql']; ?>:</td><td class="about"><?php echo $mysqli_ok; ?></td></tr>
        <tr><td class="add_field_op"><?php echo $TEXT['install-mod-ldap']; ?>:</td><td class="about"><?php echo $ldap_ok; ?></td></tr>
        <tr><td class="add_field_op"><?php echo $TEXT['install-db']; ?>:</td><td class="about"><?php echo $chk_dbase; ?></td></tr>
       </table>
      </fieldset>
     </td></tr>
    </table>
  </td>
 </tr>
 <tr><td class="logonbot"><?php echo $TEXT['maker8']; ?></td></tr>
</table>
</form>
</div>
</body>
</html>