<?php
  ///////////////////////////////////////////////////
  //Телефонный справочник,
  //обновление
  //2009 (C)
  //Карпухин Павел
  ///////////////////////////////////////////////////

  $lang = substr($_SERVER["HTTP_ACCEPT_LANGUAGE"], 0,2);
  if(is_file ("lang/".$lang.".php")) {include "lang/".$lang.".php";}
     else {include "lang/ru.php";}

  require_once "utils/top_update.php";

  $title = $TEXT['update-title'];
  $helppage = $TEXT['update-help2'];

  if(empty($_POST['srv'])) {puterror($TEXT['error-install1']);}
  if(strlen($_POST['srv'])>50) {puterror($TEXT['error-install2']);}
  if(empty($_POST['usr'])) {puterror($TEXT['error-install3']);}
  if(strlen($_POST['usr'])>50) {puterror($TEXT['error-install4']);}
  if(strlen($_POST['pswd'])>100) {puterror($TEXT['error-install5']);}
  if(empty($_POST['dbname'])) {puterror($TEXT['error-update1']);}
  if(strlen($_POST['dbname'])>50) {puterror($TEXT['error-update2']);}
  if(strlen($_POST['vers'])>10) {puterror($TEXT['search-err3']);}

  if(isset($_POST['srv'])) {$srv=trim($_POST['srv']);}
    else {$srv="";}
  if(empty($srv)) {puterror($TEXT['error-install6']);}

  if(isset($_POST['usr'])) {$usr=trim($_POST['usr']);}
    else {$usr="";}
  if(empty($usr)) {puterror($TEXT['error-install7']);}

  if(isset($_POST['dbname'])) {$dbname=trim($_POST['usr']);}
    else {$dbname="";}
  if(empty($dbname)) {puterror($TEXT['error-update3']);}

  $_POST['srv'] = str_replace("'","`",$_POST['srv']);
  $_POST['usr'] = str_replace("'","`",$_POST['usr']);
  $_POST['dbname'] = str_replace("'","`",$_POST['dbname']);
  $_POST['vers'] = str_replace("'","`",$_POST['vers']);
  $_POST['srv'] = htmlspecialchars(stripslashes($_POST['srv']));
  $_POST['usr'] = htmlspecialchars(stripslashes($_POST['usr']));
  $_POST['dbname'] = htmlspecialchars(stripslashes($_POST['dbname']));
  $_POST['vers'] = htmlspecialchars(stripslashes($_POST['vers']));

  ///////////////////////////////////////////////////
  // Подключение к базе данных
  ///////////////////////////////////////////////////

  $dblocation = $_POST['srv'];
  $dbport = "3306";
  $dbname = $_POST['dbname'];
  $dbuser = $_POST['usr'];
  $dbpasswd = $_POST['pswd'];

  $dbcnx = mysqli_connect($dblocation,$dbuser,$dbpasswd);
  if(!$dbcnx)
  {
    echo( "".$TEXT['error-conf1']."" );
    exit();
  }
  mysqli_query($dbcnx,"SET CHARACTER SET 'utf8'") or exit('SET CHARACTER SET error');
  mysqli_query($dbcnx,"SET character_set_client='utf8'") or exit('SET character_set_client error');
  mysqli_query($dbcnx,"SET character_set_results='utf8'") or exit('SET character_set_results error');
  mysqli_query($dbcnx,"SET collation_connection='utf8_general_ci'") or exit('SET collation_connection error');
  mysqli_query($dbcnx,"SET NAMES `utf8`") or exit('SET NAMES error');
  mysqli_query($dbcnx,"SET SQL_MODE=''") or exit('SET SQL_MODE error');
  
  if(!mysqli_select_db($dbcnx,$dbname) )
  {
    echo( "".$TEXT['error-conf2']."" );
    exit();
  }

  $action = "215";
    switch($_POST['vers'])
      {
      case 1: //2.0.5-2.1.5
      $action = "215";
      break;
      case 2: //2.1.5-2.2.5
      $action = "225";
      break;
      case 3: //2.2.5-2.3.5
      $action = "235";
      break;
      case 4: //2.3.5-2.4.5
      $action = "245";
      break;
      case 5: //2.4.5-2.5.5
      $action = "255";
      break;
      case 6: //2.5.5-2.6.5
      $action = "265";
      break;
      case 7: //2.6.5-2.7.5
      $action = "275";
      break;
      case 8: //2.7.5-3.0.5
      $action = "305";
      break;
      case 9: //3.0.5-3.2.5
      $action = "325";
      break;
      }

if($action == "215")
 {
  $query2 = "ALTER TABLE `tbl_supp_tema` ADD `shablon` VARCHAR(255) AFTER `position`;";
    $result2 = mysqli_query($dbcnx,$query2);
     if(!$result2) {puterror($TEXT['error-tbl22']);}

  $query3 = "CREATE TABLE tbl_ob_zay(
                         ob_zay_id int unsigned NOT NULL auto_increment primary key,
                         root_zay_id int,
                         par_zay_id int 
                         )TYPE=MyISAM
                         CHARACTER SET utf8;";
    $result3 = mysqli_query($dbcnx,$query3);
     if(!$result3) {puterror($TEXT['error-tbl36']);}

  $query4 = "ALTER TABLE `tbl_supp_zayavka` ADD `ob_type` enum('0','1','2') NOT NULL default '0' AFTER `org_id`;";
    $result4 = mysqli_query($dbcnx,$query4);
     if(!$result4) {puterror($TEXT['error-tbl26']);}

  $query41 = "ALTER TABLE `tbl_resource` ADD `photo` VARCHAR(255) AFTER `bakprog`;";
    $result41 = mysqli_query($dbcnx,$query41);
     if(!$result41) {puterror($TEXT['error-tbl16']);}

  $query5 = "CREATE INDEX ind_root_zay ON tbl_ob_zay (root_zay_id);";
    $result5 = mysqli_query($dbcnx,$query5);
     if(!$result5) {puterror($TEXT['error-install36']);}

  $query10 = "FLUSH PRIVILEGES;";
    $result10 = mysqli_query($dbcnx,$query10);
     if(!$result10) {puterror($TEXT['error-install17']);}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['update-log'];
  $what = $TEXT['update-log1'];
  $who = $_POST['usr'];
  //*************************************

    $query2215 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=admin/index.php' />
                   </head></html>";
           } else {puterror($TEXT['error-log']);}
 }
  //else puterror($TEXT['error-update4']);

if($action == "225")
 {
 $query2225 = "DROP TABLE IF EXISTS `system_accounts`,
 `powercounter_arch_clients`,
 `powercounter_arch_clients_month`,
 `powercounter_arch_clients_week`,
 `powercounter_arch_deep`,
 `powercounter_arch_deep_month`,
 `powercounter_arch_deep_week`,
 `powercounter_arch_enterpoint`,
 `powercounter_arch_enterpoint_month`,
 `powercounter_arch_enterpoint_week`,
 `powercounter_arch_hits`,
 `powercounter_arch_hits_month`,
 `powercounter_arch_hits_week`,
 `powercounter_arch_ip`,
 `powercounter_arch_ip_month`,
 `powercounter_arch_ip_week`,
 `powercounter_arch_num_searchquery`,
 `powercounter_arch_num_searchquery_month`,
 `powercounter_arch_num_searchquery_week`,
 `powercounter_arch_refferer`,
 `powercounter_arch_refferer_month`,
 `powercounter_arch_refferer_week`,
 `powercounter_arch_robots`,
 `powercounter_arch_robots_month`,
 `powercounter_arch_robots_week`,
 `powercounter_arch_searchquery`,
 `powercounter_arch_searchquery_month`,
 `powercounter_arch_searchquery_week`,
 `powercounter_arch_time`,
 `powercounter_arch_time_month`,
 `powercounter_arch_time_temp`,
 `powercounter_arch_time_week`,
 `powercounter_cities`,
 `powercounter_ip`,
 `powercounter_ip_compact`,
 `powercounter_pages`,
 `powercounter_refferer`,
 `powercounter_regions`,
 `powercounter_searchquerys`,
 `powercounter_thits`,
 `powercounter_links`;";
    $result2 = mysqli_query($dbcnx,$query2225);
     if(!$result2) {puterror($TEXT['error-tbl22']);}

  $query3 = "CREATE TABLE tbl_clear(
                         cl_id int(5) unsigned NOT NULL auto_increment primary key,
                         col_tbl_name varchar(255),
                         col_name varchar(255),
                         by_data int(20),
                         by_count int(20)
                         )TYPE=MyISAM
                         CHARACTER SET utf8;";
    $result3 = mysqli_query($dbcnx,$query3);
     if(!$result3) {puterror($TEXT['error-tbl37']);}

  $query10 = "FLUSH PRIVILEGES;";
    $result10 = mysqli_query($dbcnx,$query10);
     if(!$result10) {puterror($TEXT['error-install17']);}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['update-log'];
  $what = $TEXT['update-log2'];
  $who = $_POST['usr'];
  //*************************************

    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=admin/index.php' />
                   </head></html>";
           } else {puterror($TEXT['error-log']);}
 } 
 //else puterror($TEXT['error-update4']);

if($action == "235")
 {
  $query3 = "CREATE TABLE tbl_ondisk(
                         ond_id int(5) unsigned NOT NULL auto_increment primary key,
                         disk_name varchar(255) COLLATE utf8_general_ci,
                         mp varchar(255) COLLATE utf8_general_ci
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result3 = mysqli_query($dbcnx,$query3);
     if(!$result3) {puterror($TEXT['error-tbl38']);}

    $query4 = "ALTER TABLE `tbl_supp_zayavka` MODIFY COLUMN `ob_type` ENUM('0','1','2','3') CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL DEFAULT 0;";
    $result4 = mysqli_query($dbcnx,$query4);
     if(!$result4) {puterror($TEXT['error-tbl26']);}

   $query_rights = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_ob_zay TO personal_user@'%';");
   $query_rights1 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_ob_zay TO personal_user@localhost;");

  $query10 = "FLUSH PRIVILEGES;";
    $result10 = mysqli_query($dbcnx,$query10);
     if(!$result10) {puterror($TEXT['error-install17']);}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['update-log'];
  $what = $TEXT['update-log3'];
  $who = $_POST['usr'];
  //*************************************
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=admin/index.php' />
                   </head></html>";
           } else {puterror($TEXT['error-log']);}
 }
 //else puterror($TEXT['error-update4']);

if($action == "245")
 {
  $query3 = "CREATE TABLE tbl_kritichnost(
                         krit_id int unsigned not null auto_increment primary key,
                         kritichnost varchar(255) COLLATE utf8_general_ci,
                         pic_krit tinytext,
                         position smallint(11) NOT NULL,
                         UNIQUE KEY uc_kritichnost (kritichnost(255))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result3 = mysqli_query($dbcnx,$query3);
     if(!$result3) {puterror($TEXT['error-tbl39']);}

  $query5 = "CREATE TABLE tbl_zhurn_strukt(
                         zh_str_id int unsigned NOT NULL auto_increment primary key,
                         strukt_name varchar(255) NOT NULL COLLATE utf8_general_ci,
                         parent int,
                         position smallint NOT NULL default '0',
                         visible enum('show','hide') NOT NULL default 'show'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result5 = mysqli_query($dbcnx,$query5);
     if(!$result5) {puterror($TEXT['error-tbl40']);}

  $query6 = "CREATE TABLE tbl_zhurnal(
                         zhurn_id int unsigned NOT NULL auto_increment primary key,
                         krit_id int,
                         zh_str_id int,
                         zh_tema varchar(255),
                         zh_soobschenie text(4000),
                         position smallint NOT NULL default '0',
                         visible enum('show','hide') NOT NULL default 'show',
                         data timestamp not null,
                         login_id int,
                         KEY krit_id_ind (krit_id),
                         KEY zh_str_id_ind (zh_str_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result6 = mysqli_query($dbcnx,$query6);
     if(!$result6) {puterror($TEXT['error-tbl41']);}

  $query7 = "ALTER TABLE `tbl_otdel` ADD COLUMN `phone` VARCHAR(20) CHARACTER SET utf8 COLLATE utf8_general_ci AFTER `visible`;";
    $result7 = mysqli_query($dbcnx,$query7);
     if(!$result7) {puterror($TEXT['error-tbl9']);}

  $query_dump = mysqli_query($dbcnx,"INSERT INTO `tbl_kritichnost` VALUES (1,'Для информации','../photo/krit_Dlya_informatsii_20100618114949.png',1),(2,'Не критично','../photo/krit_Ne_kritichno_20100618123543.png',2),(3,'Средне','../photo/krit_Sredne_20100618124557.png',3),(4,'Критично','../photo/krit_Kritichno_20100618123452.png',4);");
  $query_rights = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_zhurnal TO personal_user@'%';");
  $query_rights1 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_zhurnal TO personal_user@localhost;");

  $query10 = "FLUSH PRIVILEGES;";
    $result10 = mysqli_query($dbcnx,$query10);
     if(!$result10) {puterror($TEXT['error-install17']);}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['update-log'];
  $what = $TEXT['update-log4'];
  $who = $_POST['usr'];
  //*************************************
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=admin/index.php' />
                   </head></html>";
           } else {puterror($TEXT['error-log']);}
 }
 //else puterror($TEXT['error-update4']);

if($action == "255")
 {
  $query3 = "ALTER TABLE `tbl_logins` ADD COLUMN `otvetstvenniy` ENUM('0','1') NOT NULL DEFAULT '0' AFTER `master`, 
      ADD COLUMN `chk_upd` enum('yes','no') DEFAULT 'no' AFTER `usr_id`;";
    $result3 = mysqli_query($dbcnx,$query3);
     if(!$result3) {puterror($TEXT['error-tbl20']);}

  $query4 = "ALTER TABLE `tbl_users`
        ADD INDEX `ind_dom_id` (`dom_id` ASC),
        ADD INDEX `ind_dol_id` (`dol_id` ASC),
        ADD INDEX `ind_otd_id` (`otd_id` ASC),
        ADD INDEX `ind_upr_id` (`upr_id` ASC),
        ADD INDEX `ind_org_id` (`org_id` ASC),
        ADD INDEX `ind_house_id` (`house_id` ASC),
        ADD INDEX `ind_str_id` (`str_id` ASC),
        ADD INDEX `ind_city_id` (`city_id` ASC);";
    $result4 = mysqli_query($dbcnx,$query4);
     if(!$result4) {puterror($TEXT['error-tbl2']);}

  $query5 = "ALTER TABLE `tbl_supp_tema` ADD COLUMN `visible` ENUM('show','hide') NOT NULL DEFAULT 'show' AFTER `shablon`;";
    $result5 = mysqli_query($dbcnx,$query5);
     if(!$result5) {puterror($TEXT['error-tbl40']);}

  $query6 = "ALTER TABLE `tbl_supp_zayavka` ADD COLUMN `otv` enum('0','1') DEFAULT '0' AFTER `ob_type`,
             ADD COLUMN `mar_id` int DEFAULT '0' AFTER `otv`,
             ADD COLUMN `step` smallint DEFAULT '0' AFTER `mar_id`,
             ADD COLUMN `max_step` smallint DEFAULT '0' AFTER `step`,
             ADD COLUMN `parent` int DEFAULT '0' AFTER `max_step`;";
    $result6 = mysqli_query($dbcnx,$query6);
     if(!$result6) {puterror($TEXT['error-tbl26']);}

  $query7 = "ALTER TABLE `tbl_supp_archive` ADD COLUMN `problema` TEXT NOT NULL AFTER `dy`,
             ADD COLUMN `pic_tr` TINYTEXT NOT NULL AFTER `problema`,
             ADD COLUMN `reshenie` TEXT NOT NULL AFTER `pic_tr`,
             ADD COLUMN `mar_id` INT NOT NULL DEFAULT 0 AFTER `reshenie`,
             ADD COLUMN `step` SMALLINT NOT NULL DEFAULT 0 AFTER `mar_id`,
             ADD COLUMN `parent` INT NOT NULL DEFAULT 0 AFTER `step`,
             ADD INDEX ind_parent(parent),
             ADD INDEX ind_step(step),
             ADD INDEX ind_mar(mar_id);";
    $result7 = mysqli_query($dbcnx,$query7);
     if(!$result7) {puterror($TEXT['error-tbl25']);}

  $query8 = "ALTER TABLE tbl_supp_zayavka MODIFY COLUMN `ob_type` ENUM('0','1','2','3','4','5') NOT NULL DEFAULT 0;";
    $result8 = mysqli_query($dbcnx,$query8);
     if(!$result8) {puterror($TEXT['error-tbl26']);}

  $query9 = "ALTER TABLE `tbl_supp_tema` MODIFY COLUMN `visible` ENUM('show','hide','it') DEFAULT 'show';";
    $result9 = mysqli_query($dbcnx,$query9);
     if(!$result9) {puterror($TEXT['error-tbl22']);}

  $query91 = "CREATE TABLE tbl_marsh(
                         mar_id int unsigned NOT NULL auto_increment primary key,
                         mar_name varchar(255),
                         position smallint NOT NULL default '0',
                         visible enum('show','hide') NOT NULL default 'show'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result91 = mysqli_query($dbcnx,$query91);
     if(!$result91) {puterror($TEXT['error-tbl42']);}

  $query10 = "CREATE TABLE tbl_step(
                         step_id int unsigned NOT NULL auto_increment primary key,
                         mar_id int,
                         step_name varchar(255),
                         position smallint NOT NULL default '0',
                         login_id int,
                         logika enum('1','2','3') NOT NULL default '1',
                         tema_id int
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result10 = mysqli_query($dbcnx,$query10);
     if(!$result10) {puterror($TEXT['error-tbl43']);}

  $query11 = "ALTER TABLE `tbl_instructions` ADD COLUMN `count_view` int NOT NULL DEFAULT 0 AFTER `razd_id`;";
    $result11 = mysqli_query($dbcnx,$query11);
     if(!$result11) {puterror($TEXT['error-tbl18']);}

  $query12 = "ALTER TABLE `tbl_documents` ADD COLUMN `count_view` int NOT NULL DEFAULT 0 AFTER `razd_id`;";
    $result12 = mysqli_query($dbcnx,$query12);
     if(!$result12) {puterror($TEXT['error-tbl14']);}

  $query13 = "CREATE TABLE tbl_tip_resurs(
                         tip_id int unsigned not null auto_increment primary key,
                         tip_name varchar(255),
                         pic_tip tinytext,
                         position smallint(11) NOT NULL,
                         prefix varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
  $result13 = mysqli_query($dbcnx,$query13);
    if(!$result13) {puterror($TEXT['error-tbl38']);}

  $query14 = "ALTER TABLE `tbl_resource` ADD COLUMN `tip_id` INT NOT NULL AFTER `photo`, ADD COLUMN `res_name` VARCHAR(255) NOT NULL AFTER `tip_id`, ADD COLUMN `size_now` INT NOT NULL AFTER `res_name`;";
    $result14 = mysqli_query($dbcnx,$query14);
     if(!$result14) {puterror($TEXT['error-tbl16']);}

  $query15 = "ALTER TABLE `users` MODIFY COLUMN `quota` INT(7) DEFAULT NULL;";
    $result15 = mysqli_query($dbcnx,$query15);
     if(!$result15) {puterror($TEXT['error-tbl34']);}

  $query16 = "CREATE TABLE tbl_srv_param(
                         srvp_id int unsigned NOT NULL auto_increment primary key,
                         ldp enum('0','1') default '0',
                         ldp_dn varchar(255),
                         ldp_user varchar(255),
                         ldp_pass varchar(255),
                         dlp_srv varchar(255),
                         ldp_port int(5),
                         exim_shell varchar(255),
                         exim_uid int(5),
                         exim_gid int(5),
                         exim_home varchar(255),
                         exim_kvota int(5),
                         exim_pass int(5),
                         admin_mail_rss varchar(255),
                         admin_mail_news varchar(255),
                         admin_mail varchar(255),
                         spr_pass int(5),
                         glob_w int(5),
                         glob_h int(5),
                         user_w int(5),
                         user_h int(5),
                         exim_w int(5),
                         exim_h int(5),
                         res_w int(5),
                         res_h int(5),
                         repl enum('0','1'),
                         rep_org_id int,
                         prx_set varchar(21),
                         repl_mail enum('yes','no') DEFAULT 'no'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result16 = mysqli_query($dbcnx,$query16);
     if(!$result16) {puterror($TEXT['error-tbl44']);}

  $query17 = "CREATE TABLE tbl_zhnaniy_strukt(
                         zh_str_id int unsigned NOT NULL auto_increment primary key,
                         strukt_name varchar(255) NOT NULL,
                         parent int,
                         position smallint NOT NULL default '0',
                         visible enum('show','hide') NOT NULL default 'show'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result17 = mysqli_query($dbcnx,$query17);
     if(!$result17) {puterror($TEXT['error-tbl45']);}

  $query18 = "CREATE TABLE tbl_bd_zhnaniy(
                         zhurn_id int unsigned NOT NULL auto_increment primary key,
                         krit_id int,
                         zh_str_id int,
                         zh_tema varchar(255),
                         zh_soobschenie text,
                         position smallint NOT NULL default '0',
                         visible enum('show','hide') NOT NULL default 'show',
                         data timestamp not null,
                         login_id int,
                         primechanie text(4000),
                         KEY zn_krit_id_ind (krit_id),
                         KEY zhn_str_id_ind (zh_str_id),
                         FULLTEXT INDEX `fti_soobschenie` (`zh_soobschenie` ASC)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result18 = mysqli_query($dbcnx,$query18);
     if(!$result18) {puterror($TEXT['error-tbl46']);}

  $query19 = "CREATE TABLE tbl_know_prim(
                         tr_id int unsigned NOT NULL auto_increment primary key,
                         zhurn_id int,
                         login_id int,
                         zh_primechanie text(4000),
                         data timestamp not null,
                         KEY zhurn_id_ind (zhurn_id),
                         KEY login_id_ind (login_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result19 = mysqli_query($dbcnx,$query19);
     if(!$result19) {puterror($TEXT['error-tbl47']);}

    $query20 = "CREATE TABLE tbl_tmp_ofc(
                         tmp_ofc_id int unsigned NOT NULL auto_increment primary key,
                         user varchar(255),
                         yea decimal(4,0),
                         mon decimal(2,0),
                         dy decimal(2,0)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result20 = mysqli_query($dbcnx,$query20);
      if(!$result20) {puterror(mysqli_error($dbcnx));}

    $query21 = "CREATE TABLE tbl_prn_logs(
                         prn_log_id int unsigned NOT NULL auto_increment primary key,
                         prn_data datetime,
                         usr_login_id int,
                         usr_name_id int,
                         pc_id int,
                         prn_id int,
                         port_id int,
                         size int,
                         pages int,
                         document varchar(255),
                         srv_comp_id int,
                         KEY ind_usr_login(usr_login_id),
                         KEY ind_usr_name(usr_name_id),
                         KEY ind_pc(pc_id),
                         KEY ind_prn(prn_id),
                         KEY ind_port(port_id),
                         KEY ind_pages(pages),
                         KEY ind_srv_comp(srv_comp_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result21 = mysqli_query($dbcnx,$query21);
      if(!$result21) {puterror(mysqli_error($dbcnx));}

    $query22 = "CREATE TABLE tbl_prn_pc(
                         prn_pc_id int unsigned NOT NULL auto_increment primary key,
                         pc_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result22 = mysqli_query($dbcnx,$query22);
      if(!$result22) {puterror(mysqli_error($dbcnx));}

    $query23 = "CREATE TABLE tbl_prn_usr_login(
                         usr_login_id int unsigned NOT NULL auto_increment primary key,
                         login_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result23 = mysqli_query($dbcnx,$query23);
      if(!$result23) {puterror(mysqli_error($dbcnx));}

    $query24 = "CREATE TABLE tbl_prn_usr_name(
                         usr_name_id int unsigned NOT NULL auto_increment primary key,
                         usr_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result24 = mysqli_query($dbcnx,$query24);
      if(!$result24) {puterror(mysqli_error($dbcnx));}

    $query25 = "CREATE TABLE tbl_prn_name(
                         prn_id int unsigned NOT NULL auto_increment primary key,
                         prn_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result25 = mysqli_query($dbcnx,$query25);
      if(!$result25) {puterror(mysqli_error($dbcnx));}

    $query26 = "CREATE TABLE tbl_prn_port(
                         port_id int unsigned NOT NULL auto_increment primary key,
                         port_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result26 = mysqli_query($dbcnx,$query26);
      if(!$result26) {puterror(mysqli_error($dbcnx));}

    $query27 = "CREATE TABLE tbl_prn_srv_comp(
                         srv_comp_id int unsigned NOT NULL auto_increment primary key,
                         srv_name varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result27 = mysqli_query($dbcnx,$query27);
      if(!$result27) {puterror(mysqli_error($dbcnx));}

    $query28 = "DROP TABLE IF EXISTS `tbl_start`;";
    $result28 = mysqli_query($dbcnx,$query28);

  $query_rights = mysqli_query($dbcnx,"GRANT SELECT,UPDATE ON personal.tbl_instructions TO personal_user@'%';");
  $query_rights1 = mysqli_query($dbcnx,"GRANT SELECT,UPDATE ON personal.tbl_instructions TO personal_user@localhost;");
  $query_rights2 = mysqli_query($dbcnx,"GRANT SELECT,UPDATE ON personal.tbl_documents TO personal_user@'%';");
  $query_rights3 = mysqli_query($dbcnx,"GRANT SELECT,UPDATE ON personal.tbl_documents TO personal_user@localhost;");
  $query_rights4 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_tmp_ofc TO personal_user@'%';");
  $query_rights5 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_tmp_ofc TO personal_user@localhost;");
  $query_rights6 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_bd_zhnaniy TO personal_user@'%';");
  $query_rights7 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_bd_zhnaniy TO personal_user@localhost;");
  $query_rights8 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_know_prim TO personal_user@'%';");
  $query_rights9 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_know_prim TO personal_user@localhost;");
  $query_dump1 = mysqli_query($dbcnx,"INSERT INTO `tbl_logins` VALUES (NULL,'robot','Robot','d5d105353066809420558caa5f2e0a04','0','0','0','0','1','0','0','no');");
  $query_dump2 = mysqli_query($dbcnx,"INSERT INTO `tbl_tip_resurs` VALUES (1, 'HTTP','../photo/tip_inet.png',1,'http'),(2, 'HTTPS','../photo/tip_inets.png',2,'https'),(3, 'FTP','../photo/tip_ftp.png',3,'ftp'),(4, 'SMB','../photo/tip_smb.png',4,'smb'),(5, 'NFS','../photo/tip_nfs.png',5,'nfs'),(6, 'Ящик рассылки','../photo/tip_mailbox.png',6,'mailto'),(7, 'Сетевая папка','../photo/tip_net.png',7,'');");
  $query_dump3 = mysqli_query($dbcnx,"INSERT INTO `tbl_srv_param` VALUES (NULL,'0','ou=people,dc=mycompany,dc=local','cn=admin,dc=mycompany,dc=local','123456','172.30.1.83','389','/sbin/nologin','8','12','/home/vmail/domains','512','15','root@localhost','root@localhost','root@localhost','12','1024','768','500','230','550','310','700','530','0','0','','no');");

  $query101 = "FLUSH PRIVILEGES;";
    $result101 = mysqli_query($dbcnx,$query101);
     if(!$result101) {puterror($TEXT['error-install17']);}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['update-log'];
  $what = $TEXT['update-log5'];
  $who = $_POST['usr'];
  //*************************************
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=admin/index.php' />
                   </head></html>";
           } else {puterror($TEXT['error-log']);}
 }
 //else puterror($TEXT['error-update4']);

if($action == "265")
 {
  $query3 = "CREATE TABLE tbl_meet_room(
                         room_id int(5) unsigned NOT NULL auto_increment primary key,
                         room_name varchar(255),
                         room_descr text(1000),
                         room_photo varchar(255),
                         room_visible enum('yes','no') default 'yes',
                         org_id int,
                         position smallint NOT NULL,
                         KEY ind_org_id(org_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result3 = mysqli_query($dbcnx,$query3);
     if(!$result3) {puterror($TEXT['error-tbl48']);}

    $query4 = "CREATE TABLE tbl_meet_event(
                         evnt_id int unsigned NOT NULL auto_increment primary key,
                         meet_name varchar(255),
                         meet_descr text(1000),
                         meet_visible enum('yes','no') default 'yes',
                         usr_id int,
                         meet_data date,
                         time_start int(2),
                         time_stop int(2),
                         meet_color varchar(50),
                         room_id int(5),
                         time_start_min int(2),
                         time_stop_min int(2),
                         KEY ind_room_id(room_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result4 = mysqli_query($dbcnx,$query4);
     if(!$result4) {puterror($TEXT['error-tbl49']);}

  $query5 = "CREATE TABLE tbl_meet_users(
                         meet_usr_id int(5) unsigned NOT NULL auto_increment primary key,
                         evnt_id int,
                         usr_id int,
                         KEY ind_evnt_id(evnt_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result5 = mysqli_query($dbcnx,$query5);
     if(!$result5) {puterror($TEXT['error-tbl50']);}

    $query88 = "CREATE TABLE tbl_pass_strukt(
                         pas_str_id int unsigned NOT NULL auto_increment primary key,
                         strukt_name varchar(255) NOT NULL,
                         parent int,
                         position smallint NOT NULL default '0',
                         visible enum('show','hide') NOT NULL default 'show',
                         pic_tr tinytext
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result88 = mysqli_query($dbcnx,$query88);
     if(!$result88) {puterror($TEXT['error-tbl51']);}

    $query89 = "CREATE TABLE tbl_pass_keep(
                         pas_id int unsigned NOT NULL auto_increment primary key,
                         pas_str_id int,
                         fio varchar(255),
                         usr_id int,
                         dom_lgn blob,
                         dom_pass blob,
                         mail_lgn blob,
                         mail_pass blob,
                         primechanie text(1000),
                         visible enum('show','hide') NOT NULL default 'show',
                         data_create datetime,
                         data_edt datetime,
                         best_before date,
                         login_id int,
                         login_edt_id int,
                         mast_edt enum('yes','no') NOT NULL default 'no',
                         korzina int(1),
                         mail_form varchar(100),
                         mail_pass_form varchar(100),
                         pic_tr tinytext,
                         dom_form varchar(100),
                         dom_pass_form varchar(100),
                         KEY pas_str_id_ind (pas_str_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result89 = mysqli_query($dbcnx,$query89);
     if(!$result89) {puterror($TEXT['error-tbl52']);}

    $query90 = "CREATE TABLE tbl_p_tmp(
                         ptmp_id int unsigned NOT NULL auto_increment primary key,
                         usr_id int,
                         p_tmp varchar(255),
                         stat int(1)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result90 = mysqli_query($dbcnx,$query90);
     if(!$result90) {puterror($TEXT['error-tbl53']);}

  $query_shedule_enbl = mysqli_query($dbcnx,"SET GLOBAL event_scheduler = ON;");
  $query_shedule = mysqli_query($dbcnx,"delimiter |
                                CREATE EVENT `clear_p_tmp`
                                ON SCHEDULE
                                EVERY 1 DAY STARTS '2012-09-12 23:11:00'
                                ON COMPLETION PRESERVE
                                COMMENT 'Clear temp table'
                                 DO
                                  BEGIN
                                   DELETE FROM tbl_p_tmp WHERE p_tmp != '';
                                   UPDATE tbl_pass_keep SET korzina = 1, data_edt = NOW(), login_edt_id = (SELECT login_id FROM tbl_logins WHERE fullname = 'Robot' LIMIT 1) WHERE best_before < NOW() AND best_before != '0000-00-00' AND best_before != '1970-01-01' AND korzina = 0;
                                   DELETE FROM tbl_pass_keep WHERE korzina = 1 AND data_edt < DATE_ADD(NOW(), INTERVAL -30 DAY);
                                  END |
                                delimiter ;");

  $query_rights1 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_meet_event TO personal_user@'%';");
  $query_rights2 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_meet_event TO personal_user@localhost;");
  $query_rights3 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_meet_users TO personal_user@'%';");
  $query_rights4 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_meet_users TO personal_user@localhost;");
  $query_rights5 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_pass_strukt TO personal_user@'%';");
  $query_rights6 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_pass_strukt TO personal_user@localhost;");
  $query_rights7 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_pass_keep TO personal_user@'%';");
  $query_rights8 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_pass_keep TO personal_user@localhost;");
  $query_rights9 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_p_tmp TO personal_user@'%';");
  $query_rights11 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE ON personal.tbl_p_tmp TO personal_user@localhost;");
  $query_rights12 = mysqli_query($dbcnx,"GRANT SELECT ON personal.tbl_meet_room TO personal_user@'%';");
  $query_rights = mysqli_query($dbcnx,"GRANT SELECT ON personal.tbl_meet_room TO personal_user@localhost;");

  $query10 = "FLUSH PRIVILEGES;";
    $result10 = mysqli_query($dbcnx,$query10);
     if(!$result10) {puterror($TEXT['error-install17']);}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['update-log'];
  $what = $TEXT['update-log6'];
  $who = $_POST['usr'];
  //*************************************
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=admin/index.php' />
                   </head></html>";
           } else {puterror($TEXT['error-log']);}
 }
//else puterror($TEXT['error-update4']);

if($action == "275")
 {
  $query_rights = mysqli_query($dbcnx,"GRANT INSERT ON personal.tbl_users TO personal_user@'%';");
  $query_rights1 = mysqli_query($dbcnx,"GRANT INSERT ON personal.tbl_users TO personal_user@localhost;");

  $query10 = "FLUSH PRIVILEGES;";
    $result10 = mysqli_query($dbcnx,$query10);
     if(!$result10) {puterror($TEXT['error-install17']);}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['update-log'];
  $what = $TEXT['update-log7'];
  $who = $_POST['usr'];
  //*************************************
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=admin/index.php' />
                   </head></html>";
           } else {puterror($TEXT['error-log']);}
 }
 //else puterror($TEXT['error-update4']);

if($action == "305")
 {
    $query43 = "CREATE TABLE tbl_store_room(
                         room_id int(5) unsigned NOT NULL auto_increment primary key,
                         room_name varchar(255),
                         room_descr text(1000),
                         room_number varchar(255),
                         room_visible enum('yes','no') default 'yes',
                         org_id int,
                         city_id int,
                         str_id int,
                         house_id int,
                         position smallint NOT NULL,
                         KEY ind_org_id(org_id),
                         KEY ind_city_id(city_id),
                         KEY ind_str_id(str_id),
                         KEY ind_house_id(house_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result43 = mysqli_query($dbcnx,$query43);
     if(!$result43) {puterror($TEXT['error-tbl54']);}

  $query44 = "CREATE TABLE tbl_store_tip_dev(
                         std_id int unsigned NOT NULL auto_increment primary key,
                         tip_dev varchar(255) NOT NULL,
                         position SMALLINT(5) NOT NULL default '0',
                         tip_dev_switch enum('yes','no') default 'no',
                         UNIQUE KEY uc_tip_dev (tip_dev(255))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result44 = mysqli_query($dbcnx,$query44);
     if(!$result44) {puterror($TEXT['error-tbl55']);}

  $query45 = "CREATE TABLE tbl_store_mod_dev(
                         smd_id int unsigned NOT NULL auto_increment primary key,
                         mod_dev varchar(255) NOT NULL,
                         std_id int,
                         mod_mn varchar(255) NOT NULL,
                         mod_pn varchar(255) NOT NULL,
                         position SMALLINT(5) NOT NULL default '0',
                         photo varchar(255) NOT NULL,
                         dev_descr text(1000),
                         zakazano SMALLINT(5) NOT NULL default '0',
                         zakazano_date date default '1970-01-01',
                         mod_units SMALLINT(2) NOT NULL default '0',
                         mod_ports SMALLINT(3) NOT NULL default '0',
                         KEY ind_std_id(std_id),
                         UNIQUE KEY uc_mod_dev (mod_dev(255))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result45 = mysqli_query($dbcnx,$query45);
     if(!$result45) {puterror($TEXT['error-tbl56']);}

  $query46 = "CREATE TABLE tbl_store_nacl(
                         stn_id int unsigned NOT NULL auto_increment primary key,
                         nacl_org varchar(255),
                         nacl_photo varchar(255),
                         nacl_visible enum('yes','no') default 'yes',
                         nacl_date date,
                         nacl_num varchar(255),
                         org_id int,
                         KEY ind_org_id(org_id),
                         KEY ind_nacl_num(nacl_num)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result46 = mysqli_query($dbcnx,$query46);
     if(!$result46) {puterror($TEXT['error-tbl57']);}

  $query47 = "CREATE TABLE tbl_store_dev(
                         stdev_id int unsigned NOT NULL auto_increment primary key,
                         stn_id int COMMENT 'tbl_store_nacl table with nacladnimy',
                         smd_id int COMMENT 'tbl_store_mod_dev table with device models',
                         org_id int COMMENT 'Real place, organization',
                         room_id int COMMENT 'tbl_store_room table with stores',
                         std_id int COMMENT 'tbl_store_tip_dev table with device types',
                         stdev_sost int(1) COMMENT 'Object state: 1-on store, 2-in work, 3-to by, 4-broken, 5-deleted',
                         stdev_sn varchar(255) COMMENT 'Device serial number',
                         stdev_visible enum('yes','no') default 'yes',
                         sost_date date,
                         stdu_id int COMMENT 'tbl_store_dev_use table with container device',
                         stdev_nn varchar(255) COMMENT 'Nomenklaturniy nomer, buhgalteriya',
                         stdev_prim varchar(255) COMMENT 'Primechanie',
                         stdev_prot enum('http','https') COMMENT 'Protocol for connection',
                         stdev_ref varchar(255) COMMENT 'Reference for connection',
                         KEY ind_stn_id(stn_id),
                         KEY ind_smd_id(smd_id),
                         KEY ind_std_id(std_id),
                         KEY ind_org_id(org_id),
                         KEY ind_room_id(room_id),
                         KEY ind_stdu_id(stdu_id),
                         KEY ind_stdev_sost(stdev_sost)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result47 = mysqli_query($dbcnx,$query47);
     if(!$result47) {puterror($TEXT['error-tbl58']);}

  $query48 = "CREATE TABLE tbl_store_dev_history(
                         sth_id int unsigned NOT NULL auto_increment primary key,
                         stdu_id int COMMENT 'tbl_store_dev_use table with container device',
                         stdev_id int COMMENT 'tbl_store_dev table with devices',
                         hist_date date default '1970-01-01',
                         hist_doing enum('add','brk','chg','mov') default 'add' COMMENT 'Object doing: 1-added, 2-broken, 3-changed, 4-moved to store',
                         hist_dev_count int(5),
                         hist_username varchar(255) COMMENT 'canged user name',
                         hist_user_id int COMMENT 'canged user id',
                         smd_id int COMMENT 'tbl_store_mod_dev table with device models',
                         KEY ind_smd_id(smd_id),
                         KEY ind_stdu_id(stdu_id),
                         KEY ind_stdev_id(stdev_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result48 = mysqli_query($dbcnx,$query48);
     if(!$result48) {puterror($TEXT['error-tbl59']);}

  $query49 = "CREATE TABLE tbl_store_dev_use(
                         stdu_id int unsigned NOT NULL auto_increment primary key,
                         org_id int COMMENT 'Real place, organization',
                         city_id int COMMENT 'Real place, city',
                         str_id int COMMENT 'Real place, street',
                         house_id int COMMENT 'Real place, house',
                         room_id int COMMENT 'tbl_store_room table with stores',
                         stdevuser_id int COMMENT 'Real place, user_id',
                         stdevuser_name varchar(255) COMMENT 'User name, double',
                         stdevu_name varchar(255) COMMENT 'Device name',
                         stdevu_descr text(1000) COMMENT 'Device description',
                         stdevu_room_number varchar(255) COMMENT 'Real place, room or floor',
                         stdevu_sost int(1) COMMENT 'Object state: 1-on store, 2-in work, 3-to purchase, 4-broken, 5-deleted',
                         stdevu_sn varchar(255) COMMENT 'Device serial number',
                         stdevu_photo varchar(255) COMMENT 'Device photo',
                         stdevu_visible enum('yes','no') default 'yes',
                         stdevu_date_create date default '1970-01-01',
                         stdevu_date_spisan date default '1970-01-01',
                         stdevu_prot enum('http','https') COMMENT 'Protocol for connection',
                         stdevu_ref varchar(255) COMMENT 'Reference for connection',
                         std_id int COMMENT 'tbl_store_tip_dev table with device types',
                         stdevu_mn varchar(255) COMMENT 'Device model number',
                         stdevu_pn varchar(255) COMMENT 'Device part number',
                         stdevu_unit int(2) COMMENT 'Device unit place',
                         KEY ind_std_id(std_id),
                         KEY ind_org_id(org_id),
                         KEY ind_room_id(room_id),
                         KEY ind_city_id(city_id),
                         KEY ind_str_id(str_id),
                         KEY ind_house_id(house_id),
                         KEY ind_stdevu_sost(stdevu_sost)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result49 = mysqli_query($dbcnx,$query49);
     if(!$result49) {puterror($TEXT['error-tbl60']);}

    $query501 = "ALTER TABLE `personal`.`tbl_organizaciya` ADD COLUMN `visible_tech` ENUM('show','hide') NOT NULL DEFAULT 'hide' AFTER `visible`";
     $result501 = mysqli_query($dbcnx,$query501);
     if(!$result501) {puterror($TEXT['error-tbl7']);}

    $query50 = "CREATE TABLE tbl_cable(
                         `cable_id` int unsigned NOT NULL auto_increment primary key,
                         `cable_tip` varchar(255) NOT NULL,
                         `cable_color` varchar(45) NOT NULL default 'white',
                         UNIQUE KEY `uc_cable_tip` (`cable_tip`(20), `cable_color`(10))
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result50 = mysqli_query($dbcnx,$query50);
     if(!$result50) {puterror($TEXT['error-tbl61']);}

    $query51 = "CREATE TABLE tbl_store_vlan(
                         `vlan_id` int unsigned NOT NULL auto_increment primary key,
                         `vlan_num` int(4) NOT NULL default '0',
                         `vlan_name` varchar(255),
                         `vlan_descr` varchar(255)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result51 = mysqli_query($dbcnx,$query51);
     if(!$result51) {puterror($TEXT['error-tbl62']);}

    $query52 = "CREATE TABLE tbl_store_port_sost(
                         `psost_id` int unsigned NOT NULL auto_increment primary key,
                         `port_sost` varchar(255),
                         `port_picture` varchar(255),
                         `port_color` varchar(45) NOT NULL default 'white',
                         UNIQUE KEY `uc_port_sost` (`port_sost`)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result52 = mysqli_query($dbcnx,$query52);
     if(!$result52) {puterror($TEXT['error-tbl63']);}

    $query53 = "CREATE TABLE tbl_store_vlan_to_port(
                         `vtp_id` int unsigned NOT NULL auto_increment primary key,
                         `vlan_id` int COMMENT 'tbl_store_vlan table with vlans',
                         `port_id` int COMMENT 'tbl_store_dev_ports table with device ports',
                         `stdev_id` int COMMENT 'tbl_store_dev table with devices',
                         KEY ind_svlan_id(vlan_id),
                         KEY ind_port_id(port_id),
                         KEY ind_stdev_id(stdev_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result53 = mysqli_query($dbcnx,$query53);
     if(!$result53) {puterror($TEXT['error-tbl64']);}

    $query54 = "CREATE TABLE tbl_store_dev_ports(
                         `port_id` int unsigned NOT NULL auto_increment primary key,
                         `port_num` int(3) default '0' COMMENT 'Port number',
                         `psost_id` int default '0' COMMENT 'tbl_store_port_sost table describe port using',
                         `stdev_id` int default '0' COMMENT 'tbl_store_dev table with devices',
                         `stdev_out_id` int default '0' COMMENT 'tbl_store_dev table with out devices',
                         `stdev_descr` varchar(255) NOT NULL COMMENT 'Description plugged device, ex. workstation name',
                         `cable_in_id` int default '0' COMMENT 'tbl_cable table with cables inbound',
                         `cable_out_id` int default '0' COMMENT 'tbl_cable table with cables outbound',
                         `port_descr` varchar(255) NOT NULL COMMENT 'Port description',
                         `port_in_cable_size` varchar(45) COMMENT 'Inbound cable size',
                         `port_out_cable_size` varchar(45) COMMENT 'Outbound cable size',
                         `port_out_id` int default '0' COMMENT 'tbl_store_dev_ports remote devices port',
                         `pspd_id` int default '0' COMMENT 'tbl_store_port_speed port speed',
                         `stdevr_out_id2` int default '0' COMMENT 'tbl_store_dev table with out devices for patch-panels',
                         `portr_out_id2` int default '0' COMMENT 'tbl_store_dev_ports remote devices port for patch-panels',
                         `stdev_descrr` varchar(255) NOT NULL COMMENT 'Description plugged device, ex. workstation name for patch-panels',
                         KEY ind_stdev_id(stdev_id),
                         KEY ind_psost_id(psost_id),
                         KEY ind_stdev_out_id(stdev_out_id),
                         KEY ind_stdevr_out_id2(stdevr_out_id2),
                         KEY ind_cable_in_id(cable_in_id),
                         KEY ind_cable_out_id(cable_out_id),
                         KEY ind_port_out_id(port_out_id),
                         KEY ind_portr_out_id2(portr_out_id2),
                         KEY ind_pspd_id(pspd_id)
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result54 = mysqli_query($dbcnx,$query54);
     if(!$result54) {puterror($TEXT['error-tbl65']);}

  $query55 = "CREATE TABLE tbl_store_port_speed(
                         pspd_id int unsigned NOT NULL auto_increment primary key,
                         port_speed varchar(255) NOT NULL,
                         position SMALLINT(5) NOT NULL default '0'
                         )ENGINE=MyISAM
                         CHARACTER SET utf8;";
    $result55 = mysqli_query($dbcnx,$query55);
     if(!$result55) {puterror($TEXT['error-tbl66']);}

  $query56 = "ALTER TABLE `personal`.`tbl_users` 
                         ADD COLUMN `reason` VARCHAR(255) NOT NULL COMMENT 'Prichina otsutstviya' AFTER `visible`,
                         ADD COLUMN `date_from` DATE NOT NULL DEFAULT '1970-01-01' COMMENT 'Otsutstvuet s' AFTER `reason`,
                         ADD COLUMN `date_to` DATE NOT NULL DEFAULT '1970-01-01' COMMENT 'Otsutstvuet po' AFTER `date_from`,
                         ADD COLUMN `replace_user_id` INT NOT NULL DEFAULT '0' COMMENT 'Kto zamenyaet' AFTER `date_to`;";
    $result56 = mysqli_query($dbcnx,$query56);
     if(!$result56) {puterror($TEXT['error-tbl2']);}

  $query_rights = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_nacl TO personal_user@'%';");
  $query_rights1 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_nacl TO personal_user@localhost;");
  $query_rights2 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev TO personal_user@'%';");
  $query_rights3 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev TO personal_user@localhost;");
  $query_rights4 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_history TO personal_user@'%';");
  $query_rights5 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_history TO personal_user@localhost;");
  $query_rights6 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_use TO personal_user@'%';");
  $query_rights7 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_use TO personal_user@localhost;");
  $query_rights8 = mysqli_query($dbcnx,"GRANT UPDATE ON personal.tbl_store_mod_dev TO personal_user@'%';");
  $query_rights9 = mysqli_query($dbcnx,"GRANT UPDATE ON personal.tbl_store_mod_dev TO personal_user@localhost;");
  $query_rights10 = mysqli_query($dbcnx,"GRANT INSERT ON personal.tbl_store_dev_history TO personal_user@'%';");
  $query_rights11 = mysqli_query($dbcnx,"GRANT INSERT ON personal.tbl_store_dev_history TO personal_user@localhost;");
  $query_rights12 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_ports TO personal_user@'%';");
  $query_rights13 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_dev_ports TO personal_user@localhost;");
  $query_rights14 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_vlan_to_port TO personal_user@'%';");
  $query_rights15 = mysqli_query($dbcnx,"GRANT INSERT,UPDATE,DELETE ON personal.tbl_store_vlan_to_port TO personal_user@localhost;");

  $query_shedule_enbl = mysqli_query($dbcnx,"SET GLOBAL event_scheduler = ON;");
  $query_shedule_drop = mysqli_query($dbcnx,"DROP event IF EXISTS `clear_p_tmp`;");
  $query_shedule_drop1 = mysqli_query($dbcnx,"DROP procedure IF EXISTS `cln_stored_pass`;");
  $query_shedule_drop2 = mysqli_query($dbcnx,"DROP procedure IF EXISTS `cln_old_pass`;");
  $query_shedule_drop3 = mysqli_query($dbcnx,"DROP event IF EXISTS `sched_cln_old_pass`;");
  $query_shedule_drop4 = mysqli_query($dbcnx,"DROP event IF EXISTS `sched_cln_stored_pass`;");

$query_st_procedure1 = mysqli_query($dbcnx,"DELIMITER $$ 
                                    CREATE PROCEDURE `cln_stored_pass` () 
                                    COMMENT 'Чистим таблицу с временными паролями'
                                    LANGUAGE SQL
                                    SQL SECURITY DEFINER
                                    BEGIN
                                     DELETE FROM tbl_p_tmp WHERE p_tmp != '';
                                    END$$
                                    DELIMITER ;");

$query_st_procedure2 = mysqli_query($dbcnx,"DELIMITER $$
                                    CREATE PROCEDURE `cln_old_pass` ()
                                    COMMENT 'Чистим устаревшие записи хранителя паролей'
                                    LANGUAGE SQL
                                    SQL SECURITY DEFINER
                                    BEGIN
                                     UPDATE tbl_pass_keep SET korzina = 1, data_edt = NOW(), login_edt_id = (SELECT login_id FROM tbl_logins WHERE fullname = 'Robot' LIMIT 1) WHERE best_before < NOW() AND best_before != '0000-00-00' AND best_before != '1970-01-01' AND korzina = 0;
                                     DELETE FROM tbl_pass_keep WHERE korzina = 1 AND data_edt < DATE_ADD(NOW(), INTERVAL -30 DAY);
                                    END$$
                                    DELIMITER ;");

$query_shedule1 = mysqli_query($dbcnx,"CREATE EVENT `sched_cln_old_pass`
                               ON SCHEDULE
                               EVERY 1 DAY STARTS '2012-09-12 23:11:00'
                               ON COMPLETION PRESERVE
                               COMMENT 'Чистим устаревшие записи хранителя паролей'
                                DO 
                                CALL cln_old_pass();");

$query_shedule2 = mysqli_query($dbcnx,"CREATE EVENT `sched_cln_stored_pass`
                               ON SCHEDULE
                               EVERY 1 DAY STARTS '2012-09-12 23:11:00'
                               ON COMPLETION PRESERVE
                               COMMENT 'Чистим таблицу с временными паролями'
                                DO 
                                CALL cln_stored_pass();");

  $query10 = "FLUSH PRIVILEGES;";
    $result10 = mysqli_query($dbcnx,$query10);
     if(!$result10) {puterror($TEXT['error-install17']);}

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['update-log'];
  $what = $TEXT['update-log8'];
  $who = $_POST['usr'];
  //*************************************
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=admin/index.php' />
                   </head></html>";
           } else {puterror($TEXT['error-log']);}
 } 
//else {puterror($TEXT['error-update4']);}

if($action == "325")
 {
  $query_correction = mysqli_query($dbcnx,"UPDATE tbl_pass_keep SET best_before = REPLACE(best_before, '0000-00-00', '1970-01-01') WHERE pas_id > 0;");
  $query_correction1 = mysqli_query($dbcnx,"UPDATE tbl_supp_zayavka SET data_k_isp = REPLACE(data_k_isp, '0000-00-00 00:00:00', '1970-01-01 00:00:00') WHERE zay_id > 0;");
  $query_correction2 = mysqli_query($dbcnx,"UPDATE tbl_supp_zayavka SET data_close = REPLACE(data_close, '0000-00-00 00:00:00', '1970-01-01 00:00:00') WHERE zay_id > 0;");
  $query_correction3 = mysqli_query($dbcnx,"UPDATE tbl_users SET date_from = REPLACE(date_from, '0000-00-00', '1970-01-01') WHERE user_id > 0;");
  $query_correction4 = mysqli_query($dbcnx,"UPDATE tbl_users SET date_to = REPLACE(date_to, '0000-00-00', '1970-01-01') WHERE user_id > 0;");
  $query_correction5 = mysqli_query($dbcnx,"UPDATE tbl_bd_zhnaniy SET zh_soobschenie = REPLACE(zh_soobschenie, '`', 'kav10078') WHERE zhurn_id > 0;");
  $query_correction6 = mysqli_query($dbcnx,"UPDATE tbl_bd_zhnaniy SET zh_soobschenie = REPLACE(zh_soobschenie, '\'', 'ch039') WHERE zhurn_id > 0;");
  $query_correction7 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE,DROP,LOCK TABLES ON personal.* TO personal_admin@'%';");
  $query_correction8 = mysqli_query($dbcnx,"GRANT SELECT,INSERT,UPDATE,DELETE,DROP,LOCK TABLES ON personal.* TO personal_admin@localhost;");
  
  $query_correction9 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_bd_zhnaniy` 
    CHANGE COLUMN `krit_id` `krit_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `zh_str_id` `zh_str_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `login_id` `login_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction10 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_clear` 
    CHANGE COLUMN `by_data` `by_data` INT(20) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `by_count` `by_count` INT(20) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction11 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_documents` CHANGE COLUMN `razd_id` `razd_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction12 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_forecast` 
    CHANGE COLUMN `ind` `ind` MEDIUMINT(9) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `dat` `dat` DATE NULL DEFAULT '1970-01-01' COMMENT '' ,
    CHANGE COLUMN `tday` `tday` SMALLINT(6) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `tnight` `tnight` SMALLINT(6) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `prec` `prec` SMALLINT(6) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `prec_prob` `prec_prob` SMALLINT(6) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `wind_dir` `wind_dir` SMALLINT(6) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `wind_speed` `wind_speed` SMALLINT(6) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `pday` `pday` SMALLINT(6) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `pnight` `pnight` SMALLINT(6) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction13 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_instructions` CHANGE COLUMN `razd_id` `razd_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction14 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_know_prim` 
    CHANGE COLUMN `zhurn_id` `zhurn_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `login_id` `login_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction15 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_kritichnost` CHANGE COLUMN `position` `position` SMALLINT(11) NOT NULL DEFAULT '0' COMMENT '' ;");
  $query_correction16 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_logins` CHANGE COLUMN `usr_id` `usr_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction17 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_meet_event` 
    CHANGE COLUMN `usr_id` `usr_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `meet_data` `meet_data` DATE NULL DEFAULT '1970-01-01' COMMENT '' ,
    CHANGE COLUMN `time_start` `time_start` INT(2) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `time_stop` `time_stop` INT(2) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `room_id` `room_id` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `time_start_min` `time_start_min` INT(2) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `time_stop_min` `time_stop_min` INT(2) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction18 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_meet_room` 
    CHANGE COLUMN `org_id` `org_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `position` `position` SMALLINT(6) NOT NULL DEFAULT '0' COMMENT '' ;");

  $query_correction19 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_meet_users` 
    CHANGE COLUMN `evnt_id` `evnt_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `usr_id` `usr_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction20 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_meropriyatiya` CHANGE COLUMN `org_id` `org_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");
  $query_correction21 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_news` CHANGE COLUMN `org_id` `org_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction22 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_ob_zay` 
    CHANGE COLUMN `root_zay_id` `root_zay_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `par_zay_id` `par_zay_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction23 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_pass_keep` 
    CHANGE COLUMN `pas_str_id` `pas_str_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `usr_id` `usr_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `data_create` `data_create` DATETIME NULL DEFAULT '1970-01-01 00:00:00' COMMENT '' ,
    CHANGE COLUMN `data_edt` `data_edt` DATETIME NULL DEFAULT '1970-01-01 00:00:00' COMMENT '' ,
    CHANGE COLUMN `best_before` `best_before` DATE NULL DEFAULT '1970-01-01' COMMENT '' ,
    CHANGE COLUMN `login_id` `login_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `login_edt_id` `login_edt_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `korzina` `korzina` INT(1) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction24 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_pass_strukt` CHANGE COLUMN `parent` `parent` INT(11) NULL DEFAULT '0' COMMENT '' ;");
  $query_correction25 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_photo` CHANGE COLUMN `mer_id` `mer_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction26 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_prn_logs` 
    CHANGE COLUMN `prn_data` `prn_data` DATETIME NULL DEFAULT '1970-01-01 00:00:00' COMMENT '' ,
    CHANGE COLUMN `usr_login_id` `usr_login_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `usr_name_id` `usr_name_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `pc_id` `pc_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `prn_id` `prn_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `port_id` `port_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `size` `size` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `pages` `pages` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `srv_comp_id` `srv_comp_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction27 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_p_tmp` 
    CHANGE COLUMN `usr_id` `usr_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `stat` `stat` INT(1) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction28 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_razdel` CHANGE COLUMN `org_id` `org_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction29 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_resource` 
    CHANGE COLUMN `position` `position` SMALLINT(6) NOT NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `user_id` `user_id` INT(11) NOT NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `org_id` `org_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `data` `data` DATE NULL DEFAULT '1970-01-01' COMMENT '' ,
    CHANGE COLUMN `srvkvota` `srvkvota` INT(10) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `size_id` `size_id` INT(2) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `tip_id` `tip_id` INT(11) NOT NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `size_now` `size_now` INT(11) NOT NULL DEFAULT '0' COMMENT '' ;");

  $query_correction30 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_srv_param` 
    CHANGE COLUMN `ldp_port` `ldp_port` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `exim_uid` `exim_uid` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `exim_gid` `exim_gid` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `exim_kvota` `exim_kvota` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `exim_pass` `exim_pass` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `spr_pass` `spr_pass` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `glob_w` `glob_w` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `glob_h` `glob_h` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `user_w` `user_w` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `user_h` `user_h` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `exim_w` `exim_w` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `exim_h` `exim_h` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `res_w` `res_w` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `res_h` `res_h` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `repl` `repl` ENUM('0','1') NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `rep_org_id` `rep_org_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction31 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_step` 
    CHANGE COLUMN `mar_id` `mar_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `login_id` `login_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `tema_id` `tema_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction32 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_store_dev` 
    CHANGE COLUMN `stn_id` `stn_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_nacl table with nacladnimy' ,
    CHANGE COLUMN `smd_id` `smd_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_mod_dev table with device models' ,
    CHANGE COLUMN `org_id` `org_id` INT(11) NULL DEFAULT '0' COMMENT 'Real place, organization' ,
    CHANGE COLUMN `room_id` `room_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_room table with stores' ,
    CHANGE COLUMN `std_id` `std_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_tip_dev table with device types' ,
    CHANGE COLUMN `stdev_sost` `stdev_sost` INT(1) NULL DEFAULT '0' COMMENT 'Object state: 1-on store, 2-in work, 3-to by, 4-broken, 5-deleted' ,
    CHANGE COLUMN `sost_date` `sost_date` DATE NULL DEFAULT '1970-01-01' COMMENT '' ,
    CHANGE COLUMN `stdu_id` `stdu_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_dev_use table with container device' ,
    CHANGE COLUMN `stdev_prot` `stdev_prot` ENUM('http','https') NULL DEFAULT 'http' COMMENT 'Protocol for connection' ;");

  $query_correction33 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_store_dev_history` 
    CHANGE COLUMN `stdu_id` `stdu_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_dev_use table with container device' ,
    CHANGE COLUMN `stdev_id` `stdev_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_dev table with devices' ,
    CHANGE COLUMN `hist_date` `hist_date` DATE NULL DEFAULT '1970-01-01' COMMENT '' ,
    CHANGE COLUMN `hist_dev_count` `hist_dev_count` INT(5) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `hist_user_id` `hist_user_id` INT(11) NULL DEFAULT '0' COMMENT 'canged user id' ,
    CHANGE COLUMN `smd_id` `smd_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_mod_dev table with device models' ;");

  $query_correction34 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_store_dev_use` 
    CHANGE COLUMN `org_id` `org_id` INT(11) NULL DEFAULT '0' COMMENT 'Real place, organization' ,
    CHANGE COLUMN `city_id` `city_id` INT(11) NULL DEFAULT '0' COMMENT 'Real place, city' ,
    CHANGE COLUMN `str_id` `str_id` INT(11) NULL DEFAULT '0' COMMENT 'Real place, street' ,
    CHANGE COLUMN `house_id` `house_id` INT(11) NULL DEFAULT '0' COMMENT 'Real place, house' ,
    CHANGE COLUMN `room_id` `room_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_room table with stores' ,
    CHANGE COLUMN `stdevuser_id` `stdevuser_id` INT(11) NULL DEFAULT '0' COMMENT 'Real place, user_id' ,
    CHANGE COLUMN `stdevu_sost` `stdevu_sost` INT(1) NULL DEFAULT '0' COMMENT 'Object state: 1-on store, 2-in work, 3-to purchase, 4-broken, 5-deleted' ,
    CHANGE COLUMN `stdevu_date_create` `stdevu_date_create` DATE NULL DEFAULT '1970-01-01' COMMENT '' ,
    CHANGE COLUMN `stdevu_date_spisan` `stdevu_date_spisan` DATE NULL DEFAULT '1970-01-01' COMMENT '' ,
    CHANGE COLUMN `stdevu_prot` `stdevu_prot` ENUM('http','https') NULL DEFAULT 'http' COMMENT 'Protocol for connection' ,
    CHANGE COLUMN `std_id` `std_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_tip_dev table with device types' ,
    CHANGE COLUMN `stdevu_unit` `stdevu_unit` INT(2) NULL DEFAULT '0' COMMENT 'Device unit place' ;");

  $query_correction35 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_store_mod_dev` 
    CHANGE COLUMN `std_id` `std_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `zakazano_date` `zakazano_date` DATE NULL DEFAULT '1970-01-01' COMMENT '' ;");

  $query_correction36 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_store_nacl` 
    CHANGE COLUMN `nacl_date` `nacl_date` DATE NULL DEFAULT '1970-01-01' COMMENT '' ,
    CHANGE COLUMN `org_id` `org_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction37 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_store_room` 
    CHANGE COLUMN `org_id` `org_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `city_id` `city_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `str_id` `str_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `house_id` `house_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `position` `position` SMALLINT(6) NOT NULL DEFAULT '0' COMMENT '' ;");

  $query_correction38 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_store_vlan_to_port` 
    CHANGE COLUMN `vlan_id` `vlan_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_vlan table with vlans' ,
    CHANGE COLUMN `port_id` `port_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_dev_ports table with device ports' ,
    CHANGE COLUMN `stdev_id` `stdev_id` INT(11) NULL DEFAULT '0' COMMENT 'tbl_store_dev table with devices' ;");

  $query_correction39 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_supp_archive` 
    CHANGE COLUMN `data` `data` DATE NULL DEFAULT '1970-01-01' COMMENT '' ,
    CHANGE COLUMN `time_isp` `time_isp` DECIMAL(10,0) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `zay_id` `zay_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `yea` `yea` DECIMAL(4,0) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `mon` `mon` DECIMAL(2,0) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `dy` `dy` DECIMAL(2,0) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction40 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_supp_sostoyanie` CHANGE COLUMN `position` `position` SMALLINT(11) NOT NULL DEFAULT '0' COMMENT '' ;");
  $query_correction41 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_supp_srochnost` CHANGE COLUMN `position` `position` SMALLINT(11) NOT NULL DEFAULT '0' COMMENT '' ;");
  $query_correction42 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_supp_tema` CHANGE COLUMN `position` `position` SMALLINT(11) NOT NULL DEFAULT '0' COMMENT '' ;");

  $query_correction43 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_supp_zayavka` 
    CHANGE COLUMN `data_post` `data_post` DATETIME NULL DEFAULT '1970-01-01 00:00:00' COMMENT '' ,
    CHANGE COLUMN `data_k_isp` `data_k_isp` DATETIME NULL DEFAULT '1970-01-01 00:00:00' COMMENT '' ,
    CHANGE COLUMN `data_close` `data_close` DATETIME NULL DEFAULT '1970-01-01 00:00:00' COMMENT '' ,
    CHANGE COLUMN `man_id` `man_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `mast_id` `mast_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `usr_id` `usr_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `sost_id` `sost_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `sroch_id` `sroch_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `tema_id` `tema_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `time_isp` `time_isp` DECIMAL(10,0) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `org_id` `org_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction44 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_tip_resurs` CHANGE COLUMN `position` `position` SMALLINT(11) NOT NULL DEFAULT '0' COMMENT '' ;");

  $query_correction45 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_tmp_ofc` 
    CHANGE COLUMN `yea` `yea` DECIMAL(4,0) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `mon` `mon` DECIMAL(2,0) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `dy` `dy` DECIMAL(2,0) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction46 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_users` 
    CHANGE COLUMN `dom_id` `dom_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `dol_id` `dol_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `otd_id` `otd_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `upr_id` `upr_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `org_id` `org_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `house_id` `house_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `str_id` `str_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `city_id` `city_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `date_from` `date_from` DATE NOT NULL DEFAULT '1970-01-01' COMMENT 'Otsutstvuet s' ,
    CHANGE COLUMN `date_to` `date_to` DATE NOT NULL DEFAULT '1970-01-01' COMMENT 'Otsutstvuet po' ;");

  $query_correction47 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_zhnaniy_strukt` CHANGE COLUMN `parent` `parent` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction48 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_zhurnal` 
    CHANGE COLUMN `krit_id` `krit_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `zh_str_id` `zh_str_id` INT(11) NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `login_id` `login_id` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction49 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`tbl_zhurn_strukt` CHANGE COLUMN `parent` `parent` INT(11) NULL DEFAULT '0' COMMENT '' ;");

  $query_correction50 = mysqli_query($dbcnx,"ALTER TABLE `personal`.`users` 
    CHANGE COLUMN `user_id` `user_id` INT(11) NOT NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `uid` `uid` INT(10) NOT NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `gid` `gid` INT(10) NOT NULL DEFAULT '0' COMMENT '' ,
    CHANGE COLUMN `quota` `quota` TINYINT(4) NULL DEFAULT '0' COMMENT '' ;");

  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['update-log'];
  $what = $TEXT['update-log9'];
  $who = $_POST['usr'];
  //*************************************
    $query2 = "INSERT INTO tbl_logs ( `log_id`, `data`, `ip`, `who`, `doing`, `what` ) VALUES ( NULL, NOW(), '$ip', '$who', '$doing', '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=admin/index.php' />
                   </head></html>";
           } else {puterror($dbcnx,$TEXT['error-log']);}
 }
 //else puterror($TEXT['error-update4']);

  function puterror($message)
  {
    echo("<div class='tblwdth100'><h2><p align='center'>".$message."<br />".mysqli_error($dbcnx)."</p></h2></div>");
    exit();
  }
  require_once "utils/bottom.php";
?>